#include "platform_config.h"
#include "stm32f10x_lib.h"
#include "usb_lib.h"
#include "usb_istr.h"

u8 Receive_Buffer[2];

extern TIM_OCInitTypeDef  TIM_OCInitStructure;

void EP1_OUT_Callback(void)
{
  	BitAction Led_State;
  
  	PMAToUserBufferCopy(Receive_Buffer, ENDP1_RXADDR, 2);
  
  		if (Receive_Buffer[1] == 0)
    		Led_State = Bit_RESET;
  		else 
    		Led_State = Bit_SET;
 
  	switch (Receive_Buffer[0])
  	{
    	case 1: /* Led 1 */
     	//GPIO_WriteBit(GPIO_LED, GPIO_LED1_PIN, Led_State);
     	break;
    	case 2: /* Led 2 */
      	GPIO_WriteBit(GPIO_LED, GPIO_LED2_PIN, Led_State);
      	break;
    	case 3: /* Led 3 */
      	GPIO_WriteBit(GPIO_LED, GPIO_LED3_PIN, Led_State);
      	break;
    	case 4: /* Led 4 */
      	GPIO_WriteBit(GPIO_LED, GPIO_LED4_PIN, Led_State);
      	break;
    	case 8: /* Led 4 */
		TIM_OCInitStructure.TIM_Pulse = Receive_Buffer[1];
		TIM_OC1Init(TIM3, &TIM_OCInitStructure);
      	break;
  		default:
    	break;
  	}
  	SetEPRxStatus(ENDP1, EP_RX_VALID);
}
